package com.unitesk.requality.core.nodeiterators;

import java.util.Map;
import java.util.Set;

import com.unitesk.requality.core.TreeNode;
import com.unitesk.requality.core.attribute.AttributeType;

public interface IAttributeGenerator {
	Map<String, Object> getSettings();
	Object getSingleValue(TreeNode targ, int i2);
	int getItemsCount();
	Set<String> getDependencies(TreeNode node);
	String getLabel();
	AttributeType getAttributeType();
	AttributeType getAttributeListType();
	void loadSettings(Map<String, Object> attributes);
}
