package com.unitesk.requality.eclipse.handlers;

import com.unitesk.requality.core.TreeNode;
import com.unitesk.requality.core.attribute.Attribute;
import com.unitesk.requality.core.attribute.AttributeType;
import com.unitesk.requality.nodetypes.Comment;
import com.unitesk.requality.tools.RequalityCLI;

public class CreateCommentHandler extends NewElementHandler {

	@Override
	protected String getNewId(TreeNode par, String type) {
		return RequalityCLI.getNextId(par, type, "Comment ");
	};
	
	@Override
	public String[] getElementTypes() {
		return new String[]{ Comment.TYPE_NAME};
	}
	@Override
	protected void setElementSpecificAttributes(TreeNode nn) {
		nn.putAttribute(new Attribute(nn, AttributeType.STRING,
            Comment.ATTR_AUTHOR, System.getProperty("user.name", "")));
	}

}
