package com.unitesk.requality.eclipse.handlers;

import com.unitesk.requality.core.TreeNode;
import com.unitesk.requality.core.attribute.Attribute;
import com.unitesk.requality.core.attribute.AttributeType;
import com.unitesk.requality.nodetypes.TestPurpose;
import com.unitesk.requality.tools.RequalityCLI;

public class CreateTestPurposeHandler extends NewElementHandler {

	@Override
	protected String getNewId(TreeNode par, String type) {
        return RequalityCLI.getNextId(par, type, par.getNameOrId()+"_T");
	};
    
	@Override
	public String[] getElementTypes() {
		return new String[]{TestPurpose.TYPE_NAME};
	}

	@Override
	protected void setElementSpecificAttributes(TreeNode nn) {
		nn.putAttribute(new Attribute(nn, AttributeType.STRING,
            TestPurpose.ATTR_AUTHOR, System.getProperty("user.name", "")));
    	nn.putAttribute(new Attribute(nn, AttributeType.STRING,
            TestPurpose.ATTR_STATUS, "in process"));
	}
}
