package com.unitesk.requality.core.attribute;

public class AppliedEnumValue extends EnumValue implements Cloneable {
	private AttributeType at;
	private String basekey;
	public AppliedEnumValue(Object value, String comment, AttributeType at, String baseKey) {
		super(value, comment);
		this.at = at;
		this.basekey = baseKey;
	}
	public AttributeType getType(){
		return at;
	}
	public String getBaseKey(){
		return basekey;
	}
	public void updateCommentValue(String string, String comm) {
		this.val = string;
		this.comm = comm;
	}

	@Override
	public Object clone() throws CloneNotSupportedException { 
		return new AppliedEnumValue(val,comm,at,basekey);
	}
}
